UnitsConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.units.UnitsConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.units
Interface UnitsConstants

    public interface UnitsConstants

Field Summary
`static int` | `SCALE_BIT`
`static int` | `SCALE_DAY`
`static int` | `SCALE_GIGA`
`static int` | `SCALE_HOUR`
`static int` | `SCALE_JIFFY`
`static int` | `SCALE_KILO`
`static int` | `SCALE_MEGA`
`static int` | `SCALE_MICRO`
`static int` | `SCALE_MILLI`
`static int` | `SCALE_MIN`
`static int` | `SCALE_NANO`
`static int` | `SCALE_NONE`
`static int` | `SCALE_PETA`
`static int` | `SCALE_SEC`
`static int` | `SCALE_TERA`
`static int` | `SCALE_WEEK`
`static int` | `SCALE_YEAR`
`static int` | `UNIT_APPROX_DUR`
`static int` | `UNIT_BITS`
`static int` | `UNIT_BYTES`
`static int` | `UNIT_BYTES2BITS`
`static int` | `UNIT_CURRENCY`
`static int` | `UNIT_DATE`
`static int` | `UNIT_DURATION`
`static int` | `UNIT_MAX`
`static int` | `UNIT_NONE`
`static int` | `UNIT_PERCENT`
`static int` | `UNIT_PERCENTAGE`

Field Detail

### UNIT_NONE

    static final int UNIT_NONE

See Also:
  Constant Field Values

### UNIT_CURRENCY

    static final int UNIT_CURRENCY

See Also:
  Constant Field Values

### UNIT_BYTES

    static final int UNIT_BYTES

See Also:
  Constant Field Values

### UNIT_BITS

    static final int UNIT_BITS

See Also:
  Constant Field Values

### UNIT_DURATION

    static final int UNIT_DURATION

See Also:
  Constant Field Values

### UNIT_DATE

    static final int UNIT_DATE

See Also:
  Constant Field Values

### UNIT_PERCENTAGE

    static final int UNIT_PERCENTAGE

See Also:
  Constant Field Values

### UNIT_PERCENT

    static final int UNIT_PERCENT

See Also:
  Constant Field Values

### UNIT_APPROX_DUR

    static final int UNIT_APPROX_DUR

See Also:
  Constant Field Values

### UNIT_BYTES2BITS

    static final int UNIT_BYTES2BITS

See Also:
  Constant Field Values

### UNIT_MAX

    static final int UNIT_MAX

See Also:
  Constant Field Values

### SCALE_NONE

    static final int SCALE_NONE

See Also:
  Constant Field Values

### SCALE_KILO

    static final int SCALE_KILO

See Also:
  Constant Field Values

### SCALE_MEGA

    static final int SCALE_MEGA

See Also:
  Constant Field Values

### SCALE_GIGA

    static final int SCALE_GIGA

See Also:
  Constant Field Values

### SCALE_TERA

    static final int SCALE_TERA

See Also:
  Constant Field Values

### SCALE_PETA

    static final int SCALE_PETA

See Also:
  Constant Field Values

### SCALE_YEAR

    static final int SCALE_YEAR

See Also:
  Constant Field Values

### SCALE_WEEK

    static final int SCALE_WEEK

See Also:
  Constant Field Values

### SCALE_DAY

    static final int SCALE_DAY

See Also:
  Constant Field Values

### SCALE_HOUR

    static final int SCALE_HOUR

See Also:
  Constant Field Values

### SCALE_MIN

    static final int SCALE_MIN

See Also:
  Constant Field Values

### SCALE_SEC

    static final int SCALE_SEC

See Also:
  Constant Field Values

### SCALE_JIFFY

    static final int SCALE_JIFFY

See Also:
  Constant Field Values

### SCALE_MILLI

    static final int SCALE_MILLI

See Also:
  Constant Field Values

### SCALE_MICRO

    static final int SCALE_MICRO

See Also:
  Constant Field Values

### SCALE_NANO

    static final int SCALE_NANO

See Also:
  Constant Field Values

### SCALE_BIT

    static final int SCALE_BIT

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.